#!/bin/sh

if test x$1 = x ; then
  echo "Specify a directory!"
  exit 1
else
  prefix=$1
fi

for i in 6502 6502/regular 6502/wide gfx \
	gfx/GGI gfx/SDL gfx/Allegro \
	gui misc \
	misc/GII misc/SDL misc/Allegro \
	misc/Posix misc/UNIX misc/NULL screen screen/regular screen/wide tape \
	uef ula wd1770 fs fs/Posix plus1 plus1/print \
	sound/OSS sound/SDL sound/Allegro \
	sound

	do \
		cp Makefile.in.sub $prefix/$i/Makefile.in ; \
	done

cp Makefile.in $prefix
cp configure $prefix
cp INSTALL $prefix
cp *.kyb $prefix
cp *.uef $prefix
cp electrem.cfg.in $prefix
cp install-sh $prefix

# Patches and new files not included in ElectrEm.
 
for i in PATCH_targets.h \
	PATCH_gfx_Allegro_platgfx.cpp \
	PATCH_misc_Allegro_aplatipt.cpp \
	PATCH_sound_SDL_soundcard.cpp \
	PATCH_gfx_gfxdraw.cpp \
	PATCH_misc_input.cpp \
	PATCH_tape_fasttape.cpp

	do \
		patch -p0 -d $prefix < patches/$i ; \
	done
 
cp patches/targ_allegro.h $prefix/targets
